%global momorel 1

Summary:        Tool to translate x86-64 CPU Machine Check Exception data.
Name:           mcelog
Version:        0.7
Release: %{momorel}m%{?dist}
Group:          System Environment/Base
License:        GPL
Source0:        %{name}-%{version}.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	x86_64

%description
mcelog is a daemon that collects and decodes Machine Check Exception data
on x86-64 machines.
ftp://ftp.x86-64.org/pub/linux/tools/mcelog/

%prep
%setup -q -c

%build
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}

cd mcelog-%{version}
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie"
cd ..

%install
mkdir -p %{buildroot}%{_mandir}/man{1,8}
mkdir -p %{buildroot}/etc/cron.hourly
cd mcelog-%{version}
install mcelog %{buildroot}%{_sbindir}/mcelog
install mcelog.cron %{buildroot}/etc/cron.hourly/mcelog.cron
cp mcelog.8 %{buildroot}%{_mandir}/man8
cd ..
chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%{_sbindir}/mcelog
/etc/cron.hourly/mcelog.cron
%attr(0644,root,root) %{_mandir}/*/*

%changelog
* Tue Mar 13 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7-1m)
- import to Momonga from fc-devel

* Mon Jul 17 2006 Jesse Keating <jkeating@redhat.com>
- Rebuild.

* Fri Jun 30 2006 Dave Jones <davej@redhat.com>
- Rebuild. (#197385)

* Wed May 17 2006 Dave Jones <davej@redhat.com>
- Update to upstream 0.7
- Change frequency to hourly instead of daily.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Wed Feb  8 2006 Dave Jones <davej@redhat.com>
- Update to upstream 0.6

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.5

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.4

* Thu Jan 27 2005 Dave Jones <davej@redhat.com>
- Initial packaging.

